﻿﻿::placeholder {
    color: #3AE6E0 !important;
}

.smoke {
    animation: rise 4s infinite;
}

@keyframes rise {
    0% {
        transform: translateY(0);
        opacity: 1;
    }

    100% {
        transform: translateY(-10px);
        opacity: 1;
    }
}

@keyframes fade {
    0%, 20% {
        opacity: 0;
    }

    25%, 45% {
        opacity: 1;
    }

    50%, 100% {
        opacity: 0;
    }
}

.fade {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    animation: fade 15s ease-in-out infinite;
}

    .fade:nth-child(1) {
        animation-delay: 0s;
    }

    .fade:nth-child(2) {
        animation-delay: 2.2s;
    }

    .fade:nth-child(3) {
        animation-delay: 5.2s;
    }

    .fade:nth-child(4) {
        animation-delay: 8s;
    }

    .fade:nth-child(5) {
        animation-delay: 10.6s;
    }


.flip-up {
    animation:flip-up 2s ease-out infinite;
}

@keyframes flip-up {
    0%

{
    transform: translateY(5px);
    opacity: 1;
}

100% {
    transform: translateY(-3px);
    opacity: 1;
}


/* Toggle Switch Styles */
.toggle-switch {
    position: relative;
    width: 44px;
    height: 24px;
    background-color: #ffffff;
    border-radius: 50px;
    border: 1px solid #d1d5db;
    transition: background-color 0.3s ease;
}

    .toggle-switch::after {
        content: '';
        position: absolute;
        top: 2px;
        left: 2px;
        width: 20px;
        height: 20px;
        background-color: white;
        border: 1px solid #d1d5db;
        border-radius: 50%;
        transition: transform 0.3s ease;
    }


.peer:checked + .toggle-switch {
    background-color: #3AE6E0;
}

    .peer:checked + .toggle-switch::after {
        transform: translateX(20px);
        border-color: white;
    }


@html {
    @apply antialiased;
}